Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer Consent

CustomerConsent

List consents

get
/tenants/{tenantUid}/consents

List all consents.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/consents
GET /v2/tenants/{tenantUid}/consents HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "consentUid": "text",
      "name": "text",
      "description": "text",
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new consent

post
/tenants/{tenantUid}/consents

Create a new consent type

Required permission: TENANT.ADMIN

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
consentUidstringOptionalPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringOptional
activebooleanRequired
Responses
201

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/consents
POST /v2/tenants/{tenantUid}/consents HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true
}
201

Example response

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Get consent

get
/tenants/{tenantUid}/consents/{consentUid}

Get a consent type

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Responses
200

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/consents/{consentUid}
GET /v2/tenants/{tenantUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Update consent

put
/tenants/{tenantUid}/consents/{consentUid}

Update a consent typ

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Body
namestringOptional
descriptionstringOptional
activebooleanOptional
Responses
200

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
put/tenants/{tenantUid}/consents/{consentUid}
PUT /v2/tenants/{tenantUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "name": "text",
  "description": "text",
  "active": true
}
200

Example response

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Delete a consent

delete
/tenants/{tenantUid}/consents/{consentUid}

Delete a consent type

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Responses
204

No Content

No content

delete/tenants/{tenantUid}/consents/{consentUid}
DELETE /v2/tenants/{tenantUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List consent history for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}

List the history of a specific consent type for a customer.

The list is sorted by createdAt, where the newest history element is first

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Responses
200

Example response

application/json
get/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "consentUid": "text",
      "name": "text",
      "status": true,
      "source": "text",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Add a consent change to a customer

post
/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}

Add a consent change to a custom

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Body
sourcestringRequired
statusbooleanRequired

Is the consent active or withdrawn

Responses
200

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
statusbooleanRequired
sourcestringRequired
createdAtstring · date-timeRequired
post/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}
POST /v2/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "source": "text",
  "status": true
}
200

Example response

{
  "consentUid": "text",
  "name": "text",
  "status": true,
  "source": "text",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?